ChatGPT with latest library

Maybe the idea is a bit far fetched but every time I ask GPT to make a me a script with the openai library it uses the out-dated functions. (legacy code)
Which is a bit of a “chicken-egg story” since i know, its not yet in the latest training data but can’t they fine-tune this in the latest step.
This would increase the adoption massively.